Skip to main content
GET
/
v1
/
agents
/
{agentId}
/
revenue
Typescript (SDK)
import { RaijinLabsLucidAi } from "raijin-labs-lucid-ai";

const raijinLabsLucidAi = new RaijinLabsLucidAi();

async function run() {
  const result = await raijinLabsLucidAi.agents.revenue.lucidGetAgentRevenue({
    agentId: "<id>",
  });

  console.log(result);
}

run();
{
  "success": true,
  "revenue": {
    "agent_passport_id": "<string>",
    "accumulated_lamports": "<string>",
    "total_distributed_lamports": "<string>",
    "last_airdrop_at": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.lucid.foundation/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Lucid API key (lk_live_... or lk_test_...)

Path Parameters

agentId
string
required

Agent passport identifier for revenue query

Response

OK

success
boolean
required
revenue
object
required